#
# spec file for package rubygem-trollop
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-trollop
Version:        2.1.2
Release:        6.3
%define mod_name trollop
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby}
BuildRequires:  %{rubygem gem2rpm}
Url:            http://manageiq.github.io/trollop/
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Trollop is a commandline option parser for Ruby that just gets out
License:        Ruby
Group:          Development/Languages/Ruby

%description
Trollop is a commandline option parser for Ruby that just
gets out of your way. One line of code per option is all you need to write.
For that, you get a nice automatically-generated help page, robust option
parsing, command subcompletion, and sensible defaults for everything you don't
specify.

%prep

%build

%install
%gem_install \
  --doc-files="History.txt README.md" \
  -f

%gem_packages

%changelog
* Thu May 28 2015 tampakrap@opensuse.org
- Fix license to Ruby as requested by babelworx on SR#307272
* Wed Mar 11 2015 coolo@suse.com
- updated to version 2.1.2
* Mon Feb  9 2015 coolo@suse.com
- updated to version 2.1.1
  * Remove curses as a hard dependency. It is optional. This can leverage the gem if it is present.
  * Fix ruby -w warnings
  == 2.1.0 / 2015-01-02
  * Integer parser now supports underscore separator.
  * Add Parser#usage and Parser#synopsis commands for creating a standard banner
  message. Using Parser#banner directly will override both of those.
  * Add Parser#ignore_invalid_options to prevent erroring on unknown options.
  * Allow flags to act as switches if they have defaults set and no value is
  passed on the commandline
  * Parser#opt learned to accept a block or a :callback option which it will call
  after parsing the option.
  * Add Trollop::educate which displays the help message and dies.
  * Reformat help message to be more GNUish.
  * Fix command name in help message when script has no extension.
  * Fix handling of newlines inside descriptions
  * Documentation and other fixes.
* Sun Aug 26 2012 coolo@suse.com
- updated to version 2.0
  * Change flag logic: --no-X will always be false, and --X will always be true,
    regardless of default.
  * For flags that default to true, display --no-X instead of --X in the help
    menu. Accept both versions on the commandline.
  * Fix a spurious warning
  * Update Rakefile to 1.9
  * Minor documentation fixes
* Mon Jun 14 2010 mrueckert@suse.de
- update to version 1.16.2
  * Bugfix in Trollop::options. Thanks to Brian C. Thomas for
    pointing it out.
- additional changes from version 1.16.1
  * Bugfix in Trollop::die method introduced in last release.
- additional changes from version 1.16
  * Add Trollop::with_standard_exception_handling method for easing
    the use of Parser directly.
  * Handle scientific notation in float arguments,
    thanks to Will Fitzgerald.
  * Drop hoe dependency.
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Tue Feb 16 2010 dmacvicar@novell.com
- initial package for 1.15
